using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace ParsingLogic.ContextXSD
{
    public class ContextParent
    {
        List<ContextProperty> _props;
        public List<ContextProperty> Properties
        {
            get
            {
                return _props;
            }
            set
            {
                _props = value;
            }
        }
        string _namespace = "";
        public string NameSpace
        {
            get
            {
                return _namespace;
            }
            set
            {
                _namespace = value;
            }
        }
        string _name = "";
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }
    }
    
    public class ContextProperty
    {
       string _name = "";
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }
        
        string _fullName = "";
        public string FullName
        {
            get
            {
                return _fullName;
            }
            set
            {
                _fullName = value;
            }
        }
    }
}
