using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Windows.Forms.Design;
using System.Drawing;
using System.Design;


namespace PipelineGenerator.Helper
{


    public class OpenDirectoryDialog : FolderNameEditor
    {
        
        private FolderBrowser folderDialog;
        public OpenDirectoryDialog()
        {
            folderDialog = new FolderBrowser();
            // if no changes to defaults, skip using this function
            this.Initialize();
        }

        public string GetFolder()
        {
            System.Windows.Forms.DialogResult rs = folderDialog.ShowDialog();
            
            return folderDialog.DirectoryPath;
        }

        protected void Initialize()
        {
            base.InitializeDialog(folderDialog);
            // Examples of making initializationchanges.
            //folderDialog.StartLocation =FolderBrowserFolder.MyDocuments;
            //folderDialog.Style =FolderNameEditor.FolderBrowserStyles.ShowTextBox;
        }
    }
}


