using System;
using System.Collections.Generic;
using System.Text;

namespace ParsingLogic.Types
{
    public class BAMActivity
    {
        string _name;
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }
        string _mapDLL;
        public string MapDLL
        {
            get
            {
                return _mapDLL;
            }
            set
            {
                _mapDLL = value;
            }
        }
        string _mapName;
        public string MapName
        {
            get
            {
                return _mapName;
            }
            set
            {
                _mapName = value;
            }
        }
        bool _useStreaming;
        public bool UseStreamingXSL
        {
            get
            {
                return _useStreaming;
            }
            set
            {
                _useStreaming = value;
            }
        }
        List<DataInformation> _msgData;
        public List<DataInformation> MessageData
        {
            get
            {
                if (_msgData == null)
                {
                    _msgData = new List<DataInformation>();
                }
                return _msgData;
            }
            set
            {
                _msgData = value;
            }
        }
        List<DataInformation> _msgCtx;
        public List<DataInformation> MessageContext
        {
            get
            {
                if (_msgCtx == null)
                {
                    _msgCtx = new List<DataInformation>();
                }
                return _msgCtx;
            }
            set
            {
                _msgCtx = value;
            }
        }
        List<DataInformation> _msgMethods;
        public List<DataInformation> MapMethods
        {
            get
            {
                if (_msgMethods == null)
                {
                    _msgMethods = new List<DataInformation>();
                }
                return _msgMethods;
            }
            set
            {
                _msgMethods = value;
            }
        }
        List<DataInformation> _msgGenericCtx;
        public List<DataInformation> GenericContext
        {
            get
            {
                if (_msgGenericCtx == null)
                {
                    _msgGenericCtx = new List<DataInformation>();
                }
                return _msgGenericCtx;
            }
            set
            {
                _msgGenericCtx = value;
            }
        }
        public override string ToString()
        {
            return this.Name;
        }
        List<DataInformation> _uploadContext;
        public List<DataInformation> UploadContext
        {
            get
            {
                if (_uploadContext == null)
                {
                    _uploadContext = new List<DataInformation>();
                }
                return _uploadContext;
            }
            set
            {
                _uploadContext = value;
            }
        }
        List<ActivityRelationship> _activityRelationships;
        public List<ActivityRelationship> ActivityRelationships
        {
            get
            {
                if (_activityRelationships == null)
                {
                    _activityRelationships = new List<ActivityRelationship>();
                }
                return _activityRelationships;
            }
            set
            {
                _activityRelationships = value;
            }
        }
    }
}
