using System;
using System.Collections.Generic;
using System.Text;

namespace ParsingLogic.Types
{
    public class BTSMessageType
    {
        string _name;
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
            }
        }
        string _className;
        public string ClassName
        {
            get
            {
                return _className;
            }
            set
            {
                _className = value;
            }
        }
        List<DispatcherActivity> _activity;
        public List<DispatcherActivity> Activity
        {
            get
            {
                if (_activity == null)
                {
                    _activity = new List<DispatcherActivity>();
                }
                return _activity;
            }
            set
            {
                _activity = value;
            }
        }

        public override string ToString()
        {
            return this.Name;
        }

        public bool ActivityExists(string ActivityName)
        {
            foreach (DispatcherActivity act in this.Activity)
            {
                if (act.ActivityName == ActivityName)
                {
                    return true;
                }
            }
            return false;
        }
        
    }
}
